Subject: Re: [hybi] -09: IANA considerations

From: Alexey Melnikov <[email-masked]>
Date: Thu, 07 Jul 2011 19:41:19 +0100

Peter Saint-Andre wrote:
 [...]

>Sections 11. and 11.2 both say:
>
>   Interoperability considerations.
>      None.
>
>However, the template in RFC 4395 says:
>
>   Interoperability considerations.
>      If you are aware of any details regarding your scheme that might
>      impact interoperability, please identify them here.  For example:
>      proprietary or uncommon encoding method; inability to support
>      multibyte character sets; incompatibility with types or versions
>      of any underlying protocol.
>
>Now, Section 5.1 of the WebSocket spec says:
>
>   2.   The Method of the request MUST be GET and the HTTP version MUST
>        be at least 1.1.
>
>So it seems that the interoperability considerations of our URI
>registration requests might need to say something about incompability
>with HTTP 1.0.
>  
>
I've replaced "None" with "Use of WebSocket requires use of HTTP version 
1.1 or higher.". I hope this is sufficient.

>Section 11.6 mentions private use tokens beginning with "x-". Ick. :)
>  
>
I think this is still a debate to have in the Apps Area meeting in 
Quebec ;-).

>Typo in Section 11.10: "Paragraph 10 of Paragraph 4 of Section 5.1 "
>  
>
I've removed "of Paragraph 4", as I think the Paragraph 10 of Section 
5.1 is the correct reference.

>Section 11.12 says that assignment of WebSocket Version Numbers shall be
>"RFC Required", but then requests assignment of version numbers 0-8 to
>prior submissions of this Internet-Draft. The requested assignments are
>at odds with the stated policy.
>
I am not entirely sure that RFC Required prevents what the document 
does, but in order to clarify I've added:

      In order to improve interoperability with intermediate versions
      published in Internet Drafts, version numbers associated with such 
drafts
      might be registered in this registry.